<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:00 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
BasicClientCookie2 (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BasicClientCookie2 (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicClientCookie2.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/cookie/BasicCommentHandler.html" title="class in org.apache.http.impl.cookie"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/cookie/BasicClientCookie2.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicClientCookie2.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.cookie</FONT>
<BR>
Class BasicClientCookie2</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">org.apache.http.impl.cookie.BasicClientCookie</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.cookie.BasicClientCookie2</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html" title="interface in org.apache.http.cookie">ClientCookie</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie">SetCookie2</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/NotThreadSafe.html?is-external=true" title="class or interface in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public class <B>BasicClientCookie2</B><DT>extends <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A><DT>implements <A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie">SetCookie2</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A></DL>
</PRE>

<P>
Default implementation of <A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie"><CODE>SetCookie2</CODE></A>.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../serialized-form.html#org.apache.http.impl.cookie.BasicClientCookie2">Serialized Form</A></DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.cookie.ClientCookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/ClientCookie.html" title="interface in org.apache.http.cookie">ClientCookie</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#COMMENT_ATTR">COMMENT_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#COMMENTURL_ATTR">COMMENTURL_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#DISCARD_ATTR">DISCARD_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#DOMAIN_ATTR">DOMAIN_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#EXPIRES_ATTR">EXPIRES_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#MAX_AGE_ATTR">MAX_AGE_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#PATH_ATTR">PATH_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#PORT_ATTR">PORT_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#SECURE_ATTR">SECURE_ATTR</A>, <A HREF="../../../../../org/apache/http/cookie/ClientCookie.html#VERSION_ATTR">VERSION_ATTR</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#BasicClientCookie2(java.lang.String, java.lang.String)">BasicClientCookie2</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name,
                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default Constructor taking a name and a value.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#getCommentURL()">getCommentURL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns null.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#getPorts()">getPorts</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns null.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#isExpired(java.util.Date)">isExpired</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</A>&nbsp;date)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this cookie has expired.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#isPersistent()">isPersistent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>false</tt> if the cookie should be discarded at the end
 of the "session"; <tt>true</tt> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#setCommentURL(java.lang.String)">setCommentURL</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;commentURL)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If a user agent (web browser) presents this cookie to a user, the
 cookie's purpose will be described by the information at this URL.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#setDiscard(boolean)">setDiscard</A></B>(boolean&nbsp;discard)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the Discard attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html#setPorts(int[])">setPorts</A></B>(int[]&nbsp;ports)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the Port attribute.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.cookie.BasicClientCookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.cookie.<A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#containsAttribute(java.lang.String)">containsAttribute</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getAttribute(java.lang.String)">getAttribute</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getComment()">getComment</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getDomain()">getDomain</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getExpiryDate()">getExpiryDate</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getName()">getName</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getPath()">getPath</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getValue()">getValue</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getVersion()">getVersion</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#isSecure()">isSecure</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setAttribute(java.lang.String, java.lang.String)">setAttribute</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setComment(java.lang.String)">setComment</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setDomain(java.lang.String)">setDomain</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setExpiryDate(java.util.Date)">setExpiryDate</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setPath(java.lang.String)">setPath</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setSecure(boolean)">setSecure</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setValue(java.lang.String)">setValue</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#setVersion(int)">setVersion</A>, <A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.cookie.SetCookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setComment(java.lang.String)">setComment</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setDomain(java.lang.String)">setDomain</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setExpiryDate(java.util.Date)">setExpiryDate</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setPath(java.lang.String)">setPath</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setSecure(boolean)">setSecure</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setValue(java.lang.String)">setValue</A>, <A HREF="../../../../../org/apache/http/cookie/SetCookie.html#setVersion(int)">setVersion</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.cookie.Cookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.cookie.<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html#getComment()">getComment</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#getDomain()">getDomain</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#getExpiryDate()">getExpiryDate</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#getName()">getName</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#getPath()">getPath</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#getValue()">getValue</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#getVersion()">getVersion</A>, <A HREF="../../../../../org/apache/http/cookie/Cookie.html#isSecure()">isSecure</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BasicClientCookie2(java.lang.String, java.lang.String)"><!-- --></A><H3>
BasicClientCookie2</H3>
<PRE>
public <B>BasicClientCookie2</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name,
                          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</PRE>
<DL>
<DD>Default Constructor taking a name and a value. The value may be null.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - The name.<DD><CODE>value</CODE> - The value.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getPorts()"><!-- --></A><H3>
getPorts</H3>
<PRE>
public int[] <B>getPorts</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getPorts()">BasicClientCookie</A></CODE></B></DD>
<DD>Returns null. Cookies prior to RFC2965 do not set this attribute
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html#getPorts()">getPorts</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getPorts()">getPorts</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setPorts(int[])"><!-- --></A><H3>
setPorts</H3>
<PRE>
public void <B>setPorts</B>(int[]&nbsp;ports)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html#setPorts(int[])">SetCookie2</A></CODE></B></DD>
<DD>Sets the Port attribute. It restricts the ports to which a cookie
 may be returned in a Cookie request header.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html#setPorts(int[])">setPorts</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie">SetCookie2</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCommentURL()"><!-- --></A><H3>
getCommentURL</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>getCommentURL</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getCommentURL()">BasicClientCookie</A></CODE></B></DD>
<DD>Returns null. Cookies prior to RFC2965 do not set this attribute
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html#getCommentURL()">getCommentURL</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#getCommentURL()">getCommentURL</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setCommentURL(java.lang.String)"><!-- --></A><H3>
setCommentURL</H3>
<PRE>
public void <B>setCommentURL</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;commentURL)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html#setCommentURL(java.lang.String)">SetCookie2</A></CODE></B></DD>
<DD>If a user agent (web browser) presents this cookie to a user, the
 cookie's purpose will be described by the information at this URL.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html#setCommentURL(java.lang.String)">setCommentURL</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie">SetCookie2</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDiscard(boolean)"><!-- --></A><H3>
setDiscard</H3>
<PRE>
public void <B>setDiscard</B>(boolean&nbsp;discard)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html#setDiscard(boolean)">SetCookie2</A></CODE></B></DD>
<DD>Set the Discard attribute.

 Note: <tt>Discard</tt> attribute overrides <tt>Max-age</tt>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html#setDiscard(boolean)">setDiscard</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/SetCookie2.html" title="interface in org.apache.http.cookie">SetCookie2</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/cookie/Cookie.html#isPersistent()"><CODE>Cookie.isPersistent()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isPersistent()"><!-- --></A><H3>
isPersistent</H3>
<PRE>
public boolean <B>isPersistent</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#isPersistent()">BasicClientCookie</A></CODE></B></DD>
<DD>Returns <tt>false</tt> if the cookie should be discarded at the end
 of the "session"; <tt>true</tt> otherwise.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html#isPersistent()">isPersistent</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#isPersistent()">isPersistent</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>false</tt> if the cookie should be discarded at the end
         of the "session"; <tt>true</tt> otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="isExpired(java.util.Date)"><!-- --></A><H3>
isExpired</H3>
<PRE>
public boolean <B>isExpired</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</A>&nbsp;date)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#isExpired(java.util.Date)">BasicClientCookie</A></CODE></B></DD>
<DD>Returns true if this cookie has expired.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html#isExpired(java.util.Date)">isExpired</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#isExpired(java.util.Date)">isExpired</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>date</CODE> - Current time
<DT><B>Returns:</B><DD><tt>true</tt> if the cookie has expired.</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A> <B>clone</B>()
             throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/CloneNotSupportedException.html?is-external=true" title="class or interface in java.lang">CloneNotSupportedException</A></PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie">BasicClientCookie</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/CloneNotSupportedException.html?is-external=true" title="class or interface in java.lang">CloneNotSupportedException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BasicClientCookie2.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html" title="class in org.apache.http.impl.cookie"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/cookie/BasicCommentHandler.html" title="class in org.apache.http.impl.cookie"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/cookie/BasicClientCookie2.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BasicClientCookie2.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
